Show / Hide Table of Contents

# Class KnownHeaders

##### Inheritance

Object
KnownHeaders

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public static class KnownHeaders

### Fields

#### AcceptEncoding

##### Declaration

    public const string AcceptEncoding = "accept-encoding"

##### Field Value

Type | Description
--- | ---
String |

#### Authorization

##### Declaration

    public const string Authorization = "Authorization"

##### Field Value

Type | Description
--- | ---
String |

#### Connection

##### Declaration

    public const string Connection = "connection"

##### Field Value

Type | Description
--- | ---
String |

#### ConnectionClose

##### Declaration

    public const string ConnectionClose = "close"

##### Field Value

Type | Description
--- | ---
String |

#### ConnectionKeepAlive

##### Declaration

    public const string ConnectionKeepAlive = "keep-alive"

##### Field Value

Type | Description
--- | ---
String |

#### ContentEncoding

##### Declaration

    public const string ContentEncoding = "content-encoding"

##### Field Value

Type | Description
--- | ---
String |

#### ContentEncodingDeflate

##### Declaration

    public const string ContentEncodingDeflate = "deflate"

##### Field Value

Type | Description
--- | ---
String |

#### ContentEncodingGzip

##### Declaration

    public const string ContentEncodingGzip = "gzip"

##### Field Value

Type | Description
--- | ---
String |

#### ContentLength

##### Declaration

    public const string ContentLength = "content-length"

##### Field Value

Type | Description
--- | ---
String |

#### ContentType

##### Declaration

    public const string ContentType = "content-type"

##### Field Value

Type | Description
--- | ---
String |

#### ContentTypeBoundary

##### Declaration

    public const string ContentTypeBoundary = "boundary"

##### Field Value

Type | Description
--- | ---
String |

#### ContentTypeCharset

##### Declaration

    public const string ContentTypeCharset = "charset"

##### Field Value

Type | Description
--- | ---
String |

#### Expect

##### Declaration

    public const string Expect = "expect"

##### Field Value

Type | Description
--- | ---
String |

#### Expect100Continue

##### Declaration

    public const string Expect100Continue = "100-continue"

##### Field Value

Type | Description
--- | ---
String |

#### Host

##### Declaration

    public const string Host = "host"

##### Field Value

Type | Description
--- | ---
String |

#### Location

##### Declaration

    public const string Location = "Location"

##### Field Value

Type | Description
--- | ---
String |

#### ProxyAuthenticate

##### Declaration

    public const string ProxyAuthenticate = "Proxy-Authenticate"

##### Field Value

Type | Description
--- | ---
String |

#### ProxyAuthorization

##### Declaration

    public const string ProxyAuthorization = "Proxy-Authorization"

##### Field Value

Type | Description
--- | ---
String |

#### ProxyAuthorizationBasic

##### Declaration

    public const string ProxyAuthorizationBasic = "basic"

##### Field Value

Type | Description
--- | ---
String |

#### ProxyConnection

##### Declaration

    public const string ProxyConnection = "Proxy-Connection"

##### Field Value

Type | Description
--- | ---
String |

#### ProxyConnectionClose

##### Declaration

    public const string ProxyConnectionClose = "close"

##### Field Value

Type | Description
--- | ---
String |

#### TransferEncoding

##### Declaration

    public const string TransferEncoding = "transfer-encoding"

##### Field Value

Type | Description
--- | ---
String |

#### TransferEncodingChunked

##### Declaration

    public const string TransferEncodingChunked = "chunked"

##### Field Value

Type | Description
--- | ---
String |

#### Upgrade

##### Declaration

    public const string Upgrade = "upgrade"

##### Field Value

Type | Description
--- | ---
String |

#### UpgradeWebsocket

##### Declaration

    public const string UpgradeWebsocket = "websocket"

##### Field Value

Type | Description
--- | ---
String |